# linkReferrer(\[payload,])

### Warning - May 25, 2023

This method is deprecated, and will be sunset in upcoming versions of the SDK.

```typescript
import { ChainvineClient } from '@chainvine/sdk';

const client = new ChainvineClient({
    apiKey: '9dj022didj', //your api key
});

const wallet_address = '0x1234567890';
const referrer = 'ABC2938';
const campaign_id = 'aSlug123';

const res = await client.linkToReferrer({
  campaign_id,
  wallet_address,
  referrer,
});
```

## Payload

<table><thead><tr><th width="180">Param</th><th width="141">Required</th><th>Description</th></tr></thead><tbody><tr><td>wallet_address</td><td>required</td><td>the wallet of the user being referred</td></tr><tr><td>referrer</td><td>required</td><td>the referrer's referral code</td></tr><tr><td>slug</td><td>optional</td><td>the campaign slug to create the link for</td></tr></tbody></table>

## Response

```typescript
void
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainvine.xyz/developers/sdk/classes-and-functions/chainvineclient/linkreferrer-payload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
